Bug 1864116 - Cloud credential operator scrolls warnings about unsupported platform
Summary: Cloud credential operator scrolls warnings about unsupported platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 4.8.0
Assignee: Devan Goodwin
QA Contact: wang lin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-03 18:01 UTC by Stephen Benjamin
Modified: 2021-07-27 22:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Verbose logging on bare metal platform. Consequence: Logs spammed with warning about unsupported platform. Fix: Stopped treating metal as an unknown platform. Result: Reduced misleading logging.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:32:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 341 0 None open Bug 1864116: Fix "unsupported platform type" log spamming on BareMetal. 2021-05-17 14:00:07 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:32:43 UTC

Description Stephen Benjamin 2020-08-03 18:01:12 UTC
Cloud credential operator is scrolling warning messages on baremetal IPI. Is it expected, or is there something we should be handling there to avoid this problem?


See below:

./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-machine-api-gcp error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-network error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-ingress error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-image-registry-azure error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-ingress-azure error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-image-registry error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-ingress-gcp error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-machine-api-vsphere error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-image-registry-gcs error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-machine-api-azure error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-machine-api-ovirt error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-machine-api-openstack error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-image-registry-openstack error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=secretannotator_status credentialsRequest=openshift-machine-api-aws error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=error msg="failed to determine cloud pl
atform type" controller=credreq cr=openshift-cloud-credential-operator/openshift-machine-api-gcp error="unsupported platorm type: BareMetal" secret=openshift-machine-api/gcp-cloud-credentials
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-machine-api-openstack error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-image-registry-openstack error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-machine-api-aws error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-machine-api-ovirt error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-ingress-azure error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-image-registry error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-ingress-gcp error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-machine-api-vsphere error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-machine-api-gcp error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-network error="unsupported platorm type: BareMetal"
./bootstrap/containers/cloud-credential-operator-bec5d67113999e8e28f3b00afb76cd19882e376fba5836d02097de60dbce241d.log:time="2020-08-03T12:37:34Z" level=warning msg="ignoring for status condit
ion because could not decode provider spec" controller=credreq_status credentialsRequest=openshift-ingress error="unsupported platorm type: BareMetal"

Comment 1 Greg Sheremeta 2020-08-22 11:57:51 UTC
probably something we should handle in cco. will investigate next sprint

Comment 2 Devan Goodwin 2020-09-10 12:13:02 UTC
Still looking to fix but we have not had time to investigate yet. Looks like a very normal thing though we just need to improve the logging. Those messages indicate no cause for alarm.

Comment 6 Devan Goodwin 2020-12-04 13:00:27 UTC
Stephen could you check if this still happens next time you have a cluster up? We had a similar issue that turned out to no longer be an issue, I suspect this one may have been fixed. If so please attach an oc adm must-gather. Unfortunately we are not presently setup to provision bare metal clusters.

Comment 7 Stephen Benjamin 2020-12-04 14:09:48 UTC
Yea, about once per minute it's still putting a lot of noise into the logs.  I'll attached a must-gather, but the relevant logs are below.



time="2020-12-04T13:55:53Z" level=info msg="calculating metrics for all CredentialsRequests" controller=metrics
time="2020-12-04T13:55:53Z" level=info msg="unsupported cloud for determing CCO mode" cloud=BareMetal controller=metrics
time="2020-12-04T13:55:53Z" level=info msg="reconcile complete" controller=metrics elapsed=2.199826ms
time="2020-12-04T13:56:05Z" level=info msg="reconciling clusteroperator status"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-ingress-gcp error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=cloud-credential-operator-gcp-ro-creds error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-machine-api-aws error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-cluster-csi-drivers error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-machine-api-vsphere error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-machine-api-azure error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-machine-api-ovirt error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-image-registry error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-image-registry-openstack error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-image-registry-azure error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=ovirt-csi-driver-operator error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-machine-api-gcp error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=cloud-credential-operator-s3 error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-network error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=aws-ebs-csi-driver-operator error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-machine-api-kubevirt error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=cloud-credential-operator-iam-ro error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-gcp-pd-csi-driver-operator error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-ingress error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-machine-api-openstack error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-image-registry-gcs error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=manila-csi-driver-operator error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-ingress-azure error="unsupported platorm type: BareMetal"
time="2020-12-04T13:56:05Z" level=info msg="clusteroperator status updated" controller=status

Comment 16 wang lin 2021-05-19 06:34:13 UTC
Hi Devan,

I test this fix on 4.8.0-0.nightly-2021-05-18-205323. we don't have a paltform=BareMetal in our qe env, but we have a similar env like paltform=None

I checked we have already no longer shown this message : time="2021-05-18T02:56:44Z" level=warning msg="ignoring for status condition because could not decode provider spec" controller=status credentialsRequest=openshift-ingress error="unsupported platorm type: None"


But there are another infinite loops like below:

time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
time="2021-05-19T05:29:27Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"

Comment 17 Devan Goodwin 2021-05-19 11:41:11 UTC
Good find Lin, this looks like a separate issue, could you file another bug and include a must-gather? I suspect your CredentialsRequests are getting something updated in Status every loop causing the infinite update/reconcile loop.

Comment 18 wang lin 2021-05-20 10:59:26 UTC
Filed a new bug : https://bugzilla.redhat.com/show_bug.cgi?id=1962602

Move this one to Verified.

Comment 21 errata-xmlrpc 2021-07-27 22:32:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.